For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://developer.shipbob.com/api/receiving/llms.txt. For full documentation content, see https://developer.shipbob.com/api/receiving/llms-full.txt.

# Get Warehouse Receiving Order Box Labels


GET https://api.shipbob.com/2026-01/receiving/{id}/labels

Returns a PDF containing box labels for a specific warehouse receiving order.


Reference: https://developer.shipbob.com/api/receiving/get-warehouse-receiving-order-box-labels

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: api-2026-01
  version: 1.0.0
paths:
  /2026-01/receiving/{id}/labels:
    get:
      operationId: get-warehouse-receiving-order-box-labels
      summary: |
        Get Warehouse Receiving Order Box Labels
      description: >
        Returns a PDF containing box labels for a specific warehouse receiving
        order.
      tags:
        - subpackage_receiving
      parameters:
        - name: id
          in: path
          description: Id of the receiving order
          required: true
          schema:
            type: string
            format: int32
        - name: Authorization
          in: header
          description: Authentication using Personal Access Token (PAT) token or OAuth2
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Receiving.Get.2.0.Receiving.Id.Labels.OK.String
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Receiving.ValidationProblemDetails'
        '401':
          description: Authorization missing or invalid
          content:
            application/json:
              schema:
                description: Any type
        '403':
          description: The provided credentials are not authorized to access this resource
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Receiving.ValidationProblemDetails'
servers:
  - url: https://api.shipbob.com
  - url: https://sandbox-api.shipbob.com
components:
  schemas:
    Receiving.Get.2.0.Receiving.Id.Labels.OK.String:
      type: string
      format: byte
      title: Receiving.Get.2.0.Receiving.Id.Labels.OK.String
    Receiving.ValidationProblemDetails:
      type: object
      properties:
        detail:
          type:
            - string
            - 'null'
        errors:
          type:
            - object
            - 'null'
          additionalProperties:
            type: array
            items:
              type: string
        instance:
          type:
            - string
            - 'null'
        status:
          type:
            - integer
            - 'null'
        title:
          type:
            - string
            - 'null'
        type:
          type:
            - string
            - 'null'
      title: Receiving.ValidationProblemDetails
  securitySchemes:
    PAT:
      type: http
      scheme: bearer
      description: Authentication using Personal Access Token (PAT) token or OAuth2

```

## SDK Code Examples

```python Receiving_getWarehouseReceivingOrderBoxLabels_example
import requests

url = "https://api.shipbob.com/2026-01/receiving/id/labels"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Receiving_getWarehouseReceivingOrderBoxLabels_example
const url = 'https://api.shipbob.com/2026-01/receiving/id/labels';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Receiving_getWarehouseReceivingOrderBoxLabels_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.shipbob.com/2026-01/receiving/id/labels"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Receiving_getWarehouseReceivingOrderBoxLabels_example
require 'uri'
require 'net/http'

url = URI("https://api.shipbob.com/2026-01/receiving/id/labels")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Receiving_getWarehouseReceivingOrderBoxLabels_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.shipbob.com/2026-01/receiving/id/labels")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Receiving_getWarehouseReceivingOrderBoxLabels_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.shipbob.com/2026-01/receiving/id/labels', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Receiving_getWarehouseReceivingOrderBoxLabels_example
using RestSharp;

var client = new RestClient("https://api.shipbob.com/2026-01/receiving/id/labels");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Receiving_getWarehouseReceivingOrderBoxLabels_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2026-01/receiving/id/labels")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```